lpeg-1.0.2: LPeg – Parsing Expression Grammars For Lua

Copyright | © 2021-2022 Albert Krewinkel
License | MIT
Maintainer | Albert Krewinkel <tarleb+hslua@zeitkraut.de>
Safe Haskell | None
Language | Haskell2010

Lua.LPeg

Description

Haskell bindings to the LPeg Lua package.

Synopsis

- luaopen_lpeg_ptr :: CFunction
- luaopen_re_ptr :: CFunction
- lpeg_searcher :: PreCFunction

# Documentation

luaopen_lpeg_ptr :: CFunction #

Pointer to the function which loads the lpeg library.

luaopen_re_ptr :: CFunction #

Pointer to the function which loads the "re" library.

lpeg_searcher :: PreCFunction #

A package searcher to be used with `package.searchers`), just for the "lpeg" module. Returns `nil` on most inputs, but pushes a function that loads the LPeg module when called with key `"lpeg"`.